#include<bits/stdc++.h>
using namespace std;
#define int long long
int read(){
	int w=0,f=1;
	char c=getchar();
	while(c<'0'||c>'9')f=c=='-'?-f:f,c=getchar();
	while(c>='0'&&c<='9')w=w*10+c-'0',c=getchar();
	return w*f;
}
signed main(){
	return 0;
}